<?php

namespace Drupal\phone_international\Helpers;

use Drupal;
use libphonenumber\NumberParseException;
use libphonenumber\PhoneNumberUtil;

/**
 * Class ValidatingService.
 */
class ValidatingService implements isValid {

  /**
   * Utility for international phone numbers.
   *
   * @param string $number
   *   Phone number verification and validation.
   *
   * @return bool
   *   Return number valid(TRUE) or invalid(FALSE).
   */
  public function isValidNumber($number) {
    $isValid = FALSE;
    $phoneUtil = PhoneNumberUtil::getInstance();
    try {
      $parseNumber = $phoneUtil->parse($number);
      $isValid = $phoneUtil->isValidNumber($parseNumber);
      return $isValid;
    }
    catch (NumberParseException $e) {
      Drupal::logger('phone_international')->debug($e);
      return $isValid;
    }
  }

}
